<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Marco Köpcke <marco.koepcke@tudock.de>
 */
namespace Semknox\Semknox\Library\SearchResult;

interface LibFilterOptionInterface
{

    /**
     * Human readable name of this filter option
     *
     * @return mixed
     */
    public function getName();

    /**
     * Identifier of this option
     *
     * @return mixed
     */
    public function getId();

    /**
     * Number of articles that have this option
     *
     * @return mixed
     */
    public function getCount();
}
