<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Artsiom Bruneuski <artsiom.bruneuski@tudock.de>
 */

namespace Semknox\Semknox\Library\Semknox\Api\Data;

interface CategoryInterface
{
    const VAR_NAME = 'name';
    const VAR_IMAGE = 'image';

    /**
     * @return string
     */
    public function getName();

    /**
     * @return string
     */
    public function getImage();

    /**
     * @param string $name
     * @return mixed
     */
    public function setName($name);

    /**
     * @param string $image
     * @return mixed
     */
    public function setImage($image);
}
