<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Artsiom Bruneuski <artsiom.bruneuski@tudock.de>
 */

namespace Semknox\Semknox\Library\Semknox\Api\Data\Result;

/**
 * @package Semknox\Semknox\Library\Api\Query
 */

interface OrderInterface
{
    const VAR_ID = 'id';
    const VAR_RELATION = 'relation';
    const VAR_VIEW_NAME = 'viewName';

    /**
     * @return string
     */
    public function getId();

    /**
     * @return string
     */
    public function getRelation();

    /**
     * @return string
     */
    public function getViewName();

    /**
     * @param string $id
     * @return mixed
     */
    public function setId($id);

    /**
     * @param string $relation
     * @return mixed
     */
    public function setRelation($relation);

    /**
     * @param string $viewName
     * @return mixed
     */
    public function setViewName($viewName);
}
