<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Marco Köpcke <marco.koepcke@tudock.de>
 */

/**
 * Class StateInfoFlag
 *
 * !!! Overrides original flag model to set SSP specific prefix !!!
 *
 * Flag model for initial upload information
 *
 * @codeCoverageIgnore      Magento Core functionality. Please add tests if any methods are added.
 */
namespace Semknox\Semknox\Model\InitialUpload;

class SemknoxStateInfoFlag extends \Magento\Framework\Flag
{
    /**
     * Flag code
     *
     * @var string
     */
    protected $_flagCode = 'semknox_inital_upload_state';
}
