<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Marco Köpcke <marco.koepcke@tudock.de>
 */
namespace Semknox\Semknox\Helper;

use Magento\Framework\App\Helper\Context;
use Magento\Framework\Module\Manager;

class Compatibility extends \Magento\Framework\App\Helper\AbstractHelper
{

    /**
     * @var Manager
     */
    protected $moduleManager;

    public function __construct(
        Context $context
    ) {
        parent::__construct($context);
        $this->moduleManager = $context->getModuleManager();
    }

    /**
     * Returns whether or not the module Mageplaza_LayeredNavigation is activated
     */
    public function isMageplazaLayeredNavigationActivated()
    {
        return $this->moduleManager->isEnabled('Mageplaza_LayeredNavigation');
    }
}
