<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Marco Köpcke <marco.koepcke@tudock.de>
 */
namespace Semknox\Semknox\Library;

use Semknox\Semknox\Library\LibFeaturesInterface;
use Semknox\Semknox\Library\Semknox\SemknoxApi;

class LibFeatures implements LibFeaturesInterface
{
    /**
     * @type SemknoxApi
     */
    protected $semknoxApi;

    /**
     * LibAuthentication constructor.
     *
     * @param SemknoxApi $semknoxApi
     */
    public function __construct(
        SemknoxApi $semknoxApi
    ) {
        $this->semknoxApi = $semknoxApi;
    }
}
