<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Artsiom Bruneuski <artsiom.bruneuski@tudock.de>
 */

namespace Semknox\Semknox\Library\Semknox\Api\Data\Product;

interface PriceInterface
{
    const VAR_UNIT = 'unit';
    const VAR_VALUE = 'value';

    /**
     * @return string
     */
    public function getUnit();

    /**
     * @return string
     */
    public function getValue();

    /**
     * @param string $unit
     * @return mixed
     */
    public function setUnit($unit);

    /**
     * @param string $value
     * @return mixed
     */
    public function setValue($value);
}
