<?php
/**
 * SEMKNOX Magento 2 Module
 *
 * @copyright   Copyright (c) 2017 Tudock GmbH (http://www.tudock.de)
 * @author      Artsiom Bruneuski <artsiom.bruneuski@tudock.de>
 */

namespace Semknox\Semknox\Library\Semknox\Api\Data\Result;

interface FlagInterface
{
    const VAR_ID = 'id';
    const VAR_VIEW_NAME = 'viewName';
    const VAR_ICON = 'icon';
    const VAR_VALUE = 'value';

    /**
     * @return int
     */
    public function getId();

    /**
     * @return string
     */
    public function getViewName();

    /**
     * @return string
     */
    public function getIcon();

    /**
     * @return string
     */
    public function getValue();

    /**
     * @param int $id
     * @return mixed
     */
    public function setId($id);

    /**
     * @param string $viewName
     * @return mixed
     */
    public function setViewName($viewName);

    /**
     * @param string $icon
     * @return mixed
     */
    public function setIcon($icon);

    /**
     * @param string $value
     * @return mixed
     */
    public function setValue($value);
}
